2001-10-23  Damon Chaplin  <damon@ximian.com>

	* src/libical/icalrecur.c (icalrecur_two_byrule): use
	sizeof(test_array) for the memset call. It was clearing 9 bytes but
	the array uses shorts.

2001-10-22  Damon Chaplin  <damon@ximian.com>

	* zoneinfo/*: updated all files again, placing current RDATEs first,
	so Outlook uses those. Also fixed a few bugs in vzic which resulted in
	a few changes.
	
	* zoneinfo/Makefile.am (DIRS): added America/North_Dakota.

2001-10-22  Damon Chaplin  <damon@ximian.com>

	* src/libical/icaltimezone.c (icaltimezone_get_utc_offset): 
	(icaltimezone_get_utc_offset_of_utc_time): if we go off the start of
	the changes array, return the TZOFFSETFROM of the first change.
	Also changed the maximum year to 2037.

	* src/libical/icaltime.c (icaltime_day_of_week):
	(icaltime_start_doy_of_week):
	(icaltime_week_number): init tm_hour to 12. Sometimes mktime()
	adjusts the time, if that local time doesn't actually exist, leading
	to the wrong day being returned. It is unlikely to adjust by 12 hours.
	(icaltime_as_timet_with_zone): 
	(icaltime_from_timet_with_zone): change it back so it does convert
	DATE values to/from the timezone. time_t values don't really go well
	with DATE values, so be very careful when using them. We now assume
	that the time_t points to the start of the day in the given timezone.
	(We used to assume it pointed to the start of the day in UTC, but
	that meant it was actually incorrect wrt the displayed calendar.)

	* src/libical/icalrecur.c (expand_year_days): for FREQ=YEARLY with no
	modifiers, we add one day, using the month and day from DTSTART.
	(next_year): make sure we never go past 2037.

	* scripts/mkderivedproperties.pl: Updated to allow DTSTART, DTEND, DUE
	and RECURRENCE-ID to be set with DATE values. I think it now handles
	all properties which can take DATE values, except RDATE which uses
	DATE-TIME-PERIOD.

2001-10-19  JP Rosevear  <jpr@ximian.com>

	* src/libical/icalproperty.c (icalproperty_remove_parameter):
	don't free the parameter

2001-10-05  Ettore Perazzoli  <ettore@ximian.com>

	* src/libical/Makefile.am (CLEANFILES): Assign with `=', not `+='.

2001-09-26  Federico Mena Quintero  <federico@ximian.com>

	Fix the libical-related part of Ximian bug #7892.

	* src/libical/icalduration.c (icaldurationtype_as_ical_string):
	The correct string for zero seconds is "PT0S", not "PTS0".  Also
	handle "negative zero" durations.

	* src/libical/icalvalue.c (icalvalue_new_from_string_with_error):
	Use icalerrno to see if the duration string is invalid.  We cannot
	use icaldurationtype_is_null_duration() because a duration of zero
	*is* valid, not an error (icalduration_type_from_string() returns
	a zero duration on parse error, too).

2001-09-19  Larry Ewing  <lewing@ximian.com>

	* src/libical/icalperiod.c (icalperiodtype_from_string): free the
	temp dup'd string.

2001-09-11  Federico Mena Quintero  <federico@ximian.com>

	* src/libical/icalvalue.c (icalvalue_new_from_string_with_error):
	Generate an ICAL_ATTACH_VALUE value from the string.

2001-09-10  Damon Chaplin  <damon@ximian.com>

	* src/libical/icalcomponent.c (icalcomponent_compare_vtimezones): 
	strdup the result of the first call to ical_component_as_ical_string()
	since the second call may free it.
	Also, don't free the results of ical_component_as_ical_string() since
	it is a tmp buffer which is freed elsewhere.

2001-09-10  Federico Mena Quintero  <federico@ximian.com>

	Replace struct icalattachtype by an opaque icalattach that is
	properly reference-counted.

	* src/libical/icalvalueimpl.h (struct icalattach_impl): Private
	declaration for the icalattach type.
	(struct icalvalue_impl): Make the v_attach field be an icalattach *.

	* src/libical/icaltypes.h: Added declaration for icalattach.  This
	is now an opaque type; the implementation is in icalvalueimpl.h.
	(struct icalattachtype): Removed.

	* src/libical/icaltypes.c (icalattach_new_from_url): New function.
	(icalattach_new_from_data): New function.
	(icalattach_ref): New function.
	(icalattach_unref): New function.
	(icalattach_get_is_url): New function.
	(icalattach_get_url): New function.
	(icalattach_get_data): New function.
	(icalattachtype_new): Removed.
	(icalattachtype_free): Removed.
	(icalattachtype_add_reference): Removed.
	(icalattachtype_set_url): Removed.
	(icalattachtype_get_url): Removed.
	(icalattachtype_set_base64): Removed.
	(icalattachtype_get_base64): Removed.
	(icalattachtype_set_binary): Removed.
	(icalattachtype_get_binary): Removed.

	* src/libical/icalderivedvalue.c.in (icalvalue_new_attach): New
	function; we implement it ourselves.
	(icalvalue_set_attach): New function.
	(icalvalue_get_attach): New function.

	* src/libical/icalvalue.c (icalmemory_strdup_and_dequote): Made
	static.
	(icalvalue_new_clone): Clone BINARY and ATTACH values by refing
	the old attach value.
	(icalvalue_free): Free BINARY and ATTACH values.
	(icalvalue_attach_as_ical_string): Handle the new icalattachtype.
	(icalvalue_compare): Ditto.

	* src/libical/Makefile.am (CLEANFILES): Added ical.h.

	* design-data/*: Mark ATTACH as a custom value.

2001-09-06  Damon Chaplin  <damon@ximian.com>

	* src/libical/icalcomponent.c (icalcomponent_merge_vtimezone): pass
	the VTIMEZONE component to icalcomponent_compare_vtimezones(), not
	the icaltimezone*. Strangely we weren't getting a compiler error.
	Fixes bug #5275, hopefully.

	* src/libical/icaltimezone.c (icaltimezone_dump_changes): updated so
	it still outputs the same format, even though the '1 Jan 0001'
	component isn't included any more. 

2001-08-31  Damon Chaplin  <damon@ximian.com>

	* zoneinfo/*: updated all of the VTIMEZONE files to try to be more
	compatable with Outlook. i.e. We don't use seconds in UTC offsets,
	we don't use BYMONTHDAY if we can avoid it (there are still a few uses
	of this we need to fix), and we don't use years < 1600.

	* src/libical/icalvalue.c (icalvalue_utcoffset_as_ical_string): if
	seconds is 0 then don't output it. None of the builtin VTIMEZONE data
	uses the seconds value any more, since it messes up iTIP with Outlook.
	We may want to make it always round to the nearest minute, to avoid
	interop problems.

2001-08-22  Ettore Perazzoli  <ettore@ximian.com>

	* configure.in: Remove src/python/Makefile and src/test/Makefile.

2001-08-16  Federico Mena Quintero  <federico@ximian.com>

	* src/libical/icalvalue.c (icalmemory_strdup_and_dequote): Dequote
	the same characters that we know how to quote in
	icalvalue_text_as_ical_string().  Fixes Ximian bug #7433.

2001-08-01  Damon Chaplin  <damon@ximian.com>

	* src/libical/icaltimezone.c: removed some debugging messages.

2001-07-30  Damon Chaplin  <damon@ximian.com>

	* src/libical/icaltimezone.c (icaltimezone_get_builtin_timezone): 
	changed the debugging message to avoid a crash on non-glibc boxes.
	(Using %s with a NULL argument will crash them.)

2001-07-30  Damon Chaplin  <damon@ximian.com>

	* src/libical/icalcomponent.c (icalcomponent_merge_vtimezone): copy
	the TZID just in case the property we got it from gets modified.
	(icalcomponent_rename_tzids_callback): break out of the loop if we
	have renamed the TZID parameter. Otherwise our tzid variable would be
	invalid.

	* scripts/mkderivedproperties.pl (fudge_data): changed this so we can
	set EXDATEs that are DATE values, by checking the is_date field.
	I'm not entirely sure this is the way it should be done.
	If it is, I'll also do this for other things like DTSTART/DTEND.

	* src/libical/icalrecur.c (icalrecurrencetype_as_string): handle
	UNTIL as a DATE value as well as a DATE-TIME.

	* src/libical/icalcomponent.c (icalcomponent_compare_vtimezones): 
	fixed stupid error, getting TZID property from wrong VTIMEZONE.
	This would only have affected iTIP stuff, with VTIMEZONEs that don't
	use the '/' prefix (i.e. from Outlook). It probably just meant we
	kept multiple copies of the same VTIMEZONE.

	* src/libical/icaltimezone.c: removed some debugging messages.

2001-07-26  JP Rosevear  <jpr@ximian.com>

	* src/libical/icalcomponent.c (icalcomponent_begin_component):
	call pvl_next on i rather than itr.iter

2001-07-26  Damon Chaplin  <damon@ximian.com>

	* src/libical/icaltimezone.c (icaltimezone_convert_time): if from_zone
	is NULL (i.e. it is a floating time), just return.

2001-07-25  Damon Chaplin  <damon@ximian.com>

	* src/libical/icaltimezone.c: accept an icaltimezone* of NULL for all
	the public functions, since NULL is used to represent floating times.

2001-07-25  JP Rosevear  <jpr@ximian.com>

	* src/libical/icalparameter.c (icalparameter_as_ical_string): if
	the property contains ':' or ';' put the value in quotes so it
	parses correctly

2001-07-23  JP Rosevear  <jpr@ximian.com>

	* src/libical/icalparser.c: pass extra param to
	icalparser_get_next_char
	(icalparser_get_next_char): only use quote mode if the flag is set

2001-07-23  Damon Chaplin  <damon@ximian.com>

	* src/libical/icaltime.c (icaltime_day_of_year): changed so it doesn't
	use mktime(). We are having problems because mktime() only works
	post 1970.

2001-07-17  JP Rosevear  <jpr@ximian.com>

	* src/libical/icaltimezone.c
	(icaltimezone_get_tznames_from_vtimezone): do not strdup a NULL
	(valid) timezone

2001-07-16  Damon Chaplin  <damon@ximian.com>

	* src/libical/icaltimezone.c
	(icaltimezone_get_location_from_vtimezone): return NULL if we
	couldn't find the LOCATION.
	(icaltimezone_get_utc_offset): ifdef'd out a debugging message.
	(icaltimezone_get_location):
	(icaltimezone_get_latitude):
	(icaltimezone_get_longitude): don't load the builtin timezone for
	these. We should already have the data from reading zones.tab.
	(icaltimezone_get_builtin_timezone_from_tzid): return NULL if the
	TZID given is NULL or "" (i.e. a floating time).

2001-07-10  Peter Williams  <peterw@ximian.com>

	* src/libicalss/Makefile.am (libicalss_la_SOURCES): Add the
	COMBINEDHEADERS here and remove the EXTRA_DIST. This fixes distcheck.
	We can't just put CONBINEDHEADERS at the bottom of _SOURCES because
	of the $(srcdir).

2001-07-11  Damon Chaplin  <damon@ximian.com>

	* src/libical/icaltimezone.c: only create the timezones array when we
	need to, and make sure we free things when necessary.
	Also added timezones_sorted variable, which we set to 0 when adding a
	timezone. We then sort the array before doing binary searches (oops!)

	* src/libical/icaltimezone.[hc]: added free_struct() arg to
	icaltimezone_free() to specify whether to free the icaltimezone struct.
	Also added icaltimezone_array_free() function.

2001-07-10  Damon Chaplin  <damon@ximian.com>

	* src/libical/icaltimezone.c (icaltimezone_convert_time): don't convert
	DATE values.

	* src/libical/icaltime.c (icaltime_from_timet_with_zone): 
	(icaltime_as_timet_with_zone): changed so they do not convert DATE
	values according to the timezone.

	* src/libical/icaltime.[hc]: added icaltime_current_time_with_zone()
	and icaltime_today() functions.

2001-07-09  Damon Chaplin  <damon@ximian.com>

	* src/libical/icaltime.c (icaltime_adjust): forgot to compile before
	committing. Idiot.

2001-07-09  Damon Chaplin  <damon@ximian.com>

	* src/libical/icaltimezone.c (icaltimezone_convert_time): if the 2
	zones are the same just return.

	* src/libical/icaltime.c (icaltime_adjust): normalize the month.

2001-07-03  Damon Chaplin  <damon@ximian.com>

	* src/libical/icalcomponent.c (icalcomponent_add_component): add the
	icaltimezone to the timezone array of the toplevel VCALENDAR component.
	
2001-07-03  Damon Chaplin  <damon@ximian.com>

	* src/libical/icalcomponent.c (icalcomponent_merge_component): fixed
	bad assertion, '!=' -> '=='.
	(icalcomponent_merge_vtimezone): get the TZID from vtimezone, not comp.

2001-07-03  Damon Chaplin  <damon@ximian.com>

	* src/libical/icaltime.c: 
	* src/libical/icalcomponent.c: more timezone stuff.

2001-06-28  Peter Williams  <peterw@ximian.com>

	* zoneinfo/Makefile.am (dist-hook): Add $(srcdir) as in install-data-local
	rule.

2001-06-28  Damon Chaplin  <damon@ximian.com>

	* configure.in: commented out AC_DEFINE(ICAL_ERRORS_ARE_FATAL,1).
	We only want it to abort when there is no possibility of carrying on.

2001-06-26  Damon Chaplin  <damon@ximian.com>

	* zoneinfo/*: stripped all blank lines from iCalendar files.
	Apparently they aren't exactly legal. Oops.

2001-06-15  JP Rosevear  <jpr@ximian.com>

	* zoneinfo/Makefile.am: Extra dist the zones.tab information

2001-06-14  Damon Chaplin  <damon@ximian.com>

	* src/libical/icaltimezone.c (icaltimezone_get_latitude): 
	(icaltimezone_get_longitude): added functions to get the coords of
	builtin timezones.

2001-06-13  Damon Chaplin  <damon@ximian.com>

	* src/libical/icalrecur.c: merged in some new stuff from libical CVS.
	(icalrecur_add_byrules): If no sign is given set sign to 1 (i.e.
	default to positive).
	(icalrecur_iterator_new): when setting up the year days array, handle
	the case where a year has no occurrences and we have to skip it.
	Also initialize the last.day and last.month fields.
	(expand_by_day): set the last day of the year explicitly rather than
	adding 1 to year and subtracting 1 from day. It is more efficient,
	and less prone to bugs. Also rewrote a bit.
	(expand_year_days): added code to handle BY_MONTH_DAY and BY_DAY +
	BY_MONTH_DAY, and rewrote code to handle BY_DAY + BY_MONTH.
	(next_year): handled the case where there are no occurrences in the
	year.

	* src/libical/icaltime.c (icaltime_adjust): new function to adjust a
	time by a number of days/hours/minutes/seconds.
	(icaltime_day_of_week): rewrote using a single call to mktime().
	(icaltime_day_of_year): rewrote using a single call to mktime().
	(icaltime_from_day_of_year): rewrote in a simpler way. The old version
	had a bug in it.
	
	* src/libical/icaltime.h (struct icaltimetype): added is_daylight
	flag, so we can try to distinguish between standard and daylight time
	when the clocks go back. Though this doesn't always resolve the
	ambiguity.

	* src/libical/icalcomponent.c: added some stuff to handle timezone
	data connected to the calendar component. Unfinished.

	* src/libical/icalyacc.y: merged in a fix from sourceforge CVS version
	of libical, so we can handle -ve UTC offsets.

	* src/libical/Makefile.am (CPPFLAGS): added PACKAGE_DATA_DIR define
	for finding the VTIMEZONE files.
	(libical_la_SOURCES): added icalarray.[hc] and icaltimezone.[hc].
	(COMBINEDHEADERS): added icalarray.h and icaltimezone.h to the headers
	to be combined into ical.h.

2001-06-13  Damon Chaplin  <damon@ximian.com>

	* src/libical/icaltimezone.[hc]: new files to contain support for
	timezones.

	* src/libical/icalarray.[hc]: new files to provide a simple expanding
	array datatype.

2001-06-13  Damon Chaplin  <damon@ximian.com>

	* Makefile.am (SUBDIRS): added zoneinfo.

	* configure.in (AC_OUTPUT): added zoneinfo/Makefile.

	* zoneinfo/Makefile.am: new file to install & distribute the
	VTIMEZONE data files, and the zones.tab file.

	* zoneinfo/zones.tab: new file containing a list of all timezones
	and their coordinates (so we can mark them on the world map).

	* zoneinfo/*: Lots of VTIMEZONE data files added, one per timezone.

2001-05-16  JP Rosevear  <jpr@ximian.com>

	* src/libical/Makefile.am: Fixes to make it make dist and make
	distcheck.  Kind of kludgy but they seem to work.  Time will tell.

2001-05-10  JP Roseveaer  <jpr@ximian.com>

	* src/libical/icaltime.c (set_tz, unset_tz): plug leak
	(icaltime_as_timet): use altered functions
	(icaltime_utc_offset): ditto
	(icaltime_from_day_of_year): ditto

2001-05-02  JP Rosevear  <jpr@ximian.com>

	* src/libical/icalparser.c (icalparser_new): initialize
	"continuation_line" to 0

2001-04-18  Ettore Perazzoli  <ettore@ximian.com>

	* src/Makefile.am (SUBDIRS): Don't compile the Python stuff nor
	the tests for now; they are broken.

2001-04-18  Ettore Perazzoli  <ettore@ximian.com>

	* src/libicalss/Makefile.am (COMBINEDHEADERS): All of these have
	to come from the srcdir: prepend `$(srcdir)'.

2001-04-18  Ettore Perazzoli  <ettore@ximian.com>

	* src/libical/Makefile.am (COMBINEDHEADERS): Shouldn't prepend
	`$(top_builddir)/src/libical' to `icalderivedvalue.h',
	`icalderivedparameter.h', `icalderivedproperty.h' here, that
	confuses the dependencies for make.

	* src/libical/Makefile.am (ical.h): Depend on
	`$(COMBINEDHEADERS)', not `$(BUILT_SOURCES)'.

2001-04-01  Eric Busboom  <eric@softwarestudio.org>

	* icalcomponent.h Changed meaning of
 	icalcomponent_new_from_string. It used to create a new component
 	given the text name of the component type to create. Now it calls
 	icalparser_parse_string to create a new component from the
 	complete iCalendar text representation of the component.

2001-03-31  Eric Busboom  <eric@softwarestudio.org>

	* icalvalue Changed ACTION properties to take an ACTION value
 	instead of TEXT. The ACTION value is enumerated.

2001-03-26  Eric Busboom  <eric@softwarestudio.org>

	* icalparameter.h icalparameter_rsvp_* routines now take, return
 	ICAL_RSVP_TRUE and ICAL_RSVP_FALSE, not 0 and 1

2001-03-25  Eric Busboom  <eric@softwarestudio.org>

	* icalrecur.c Many changes to get YEARLY rules working and fix
 	other errors. Recurrences are stil broken, but more types of rue
 	now work.

2001-03-16  Eric Busboom  <eric@softwarestudio.org>

	* icalparameter.c Changed icalparameter_new_from_string() to
 	icalparameter_new_from_value_string(). Created new
 	icalparameter_new_from_string() that takes strings of
 	form"PARAMNAME=PARAMVALUE"

	* *_XNAME changes all _XNAME enumerations to _X

	* derived props, values, parameters. Seperated out derived
 	proeprties, parameters and values into their own files. This makes
 	it easier to auto generate all of the enumerations for values,
 	parameters and proeprties.

	* icalenum.h Major changes to icalenum. Movel all of the
 	icalenum_* values to other modules, and changed the names. Look
 	for #defines in icalenum.h tying the old name to the new
 	name. Also moved all of the enumerations into other files.

	
	
2001-02-26  Eric Busboom  <eric@softwarestudio.org>

	* src/libical/icalproperty.c Added
 	icalproperty_set_parameter_from_string and
 	icalproperty_set_value_from_string to aid in binding to Python 

2001-02-15  Eric Busboom  <eric@softwarestudio.org>

	* design-data/prop-to-value.txt Made a new CSV file,
 	properties.cvs That collects property-to-value and default value
 	information

	* src/libical/icalproperty.{c,h}.in Moved auto generated code into
 	icalderivedproperty.{c,h} and created icalderivedproperty.{c,h}.in

	

2001-02-14  JP Rosevear  <jpr@ximian.com>

	* src/libical/Makefile.am: Sigh, automake is dumber than i thought

2001-02-12  JP Rosevear  <jpr@ximian.com>

	* src/test/Makefile.am: link with the static versions

	* src/python/Makefile.am: use include dir discovered in configure checks

	* src/python/.cvsignore: shush

	* src/libical/icalrestriction.c: remove autogenerated file
	
	* src/libical/Makefile.am: the generated files are now disted so
	look for them in the source dir rather than the build dir

	* src/Makefile.am: Only build the python dir if all the configure
	stuff checked out

	* configure.in: Remove shared library disabling and add a python
	check and allow for the python bindings to not be built

2001-02-11  Eric Busboom  <eric@softwarestudio.org>

	* src/python/Makefile.am Tweaked makefile to use automake more,
 	but it stil isn't quie right.

2001-02-09  JP Rosevear  <jpr@ximian.com>

	* Shush cvs
	
2001-02-09  JP Rosevear  <jpr@ximian.com>

	* src/libical/Makefile.am: Slightly over zealous during the merge
	
2001-02-09  JP Rosevear  <jpr@ximian.com>

	* src/libical/Makefile.am: Correct typo

	* Removal of more auto generated files
	
2001-02-09  JP Rosevear  <jpr@ximian.com>

	* Removal of various auto generated files
	
2001-02-09  JP Rosevear  <jpr@ximian.com>

	* src/libical/icalparameter.c.in (icalparameter_new_from_string):
	its NEEDS-ACTION rather than NEEDSACTION
	(icalparameter_as_ical_string): ditto

2001-02-09  Eric Busboom  <eric@softwarestudio.org>

	* python Added src/python directory. Inserted SWIG wrapper files,
 	and a simple interface to Component, Time, Duration, Period and
 	Store.

	* icallangbind.c More experimental work

	* icalduration.{c,h}, icalperiod.{c,h} Broke out period and
 	duration types into their own files

2001-02-06  Christopher James Lahey  <clahey@ximian.com>

	* src/libical/icallangbind.c: Added a missing #include here.

	* src/libical/icalrecur.c (icalrecur_add_bydayrules): Copy the
	passed in const vals since we change it.
	
2001-02-06  Eric Busboom  <eric@softwarestudio.org>

	* icaltime.c Changed icaltime_from_day_of_year to run mktime in
 	the UTC timezone. This fixed a bug where it would return one day
 	eariler for some timezones.

2001-02-05  Ettore Perazzoli  <ettore@ximian.com>

	* src/libical/Makefile.am (COMBINEDHEADERS): `icalvalue.h',
	`icalparameter.h', `icalproperty.h' and `icalrestriction.h' are
	created in the builddir so they shouldn't be prefixed with
	`$(top_builddir)/src/libical'.
	
2001-01-26  Eric Busboom  <eric@softwarestudio.org>

	* icalproperty.c.in Improved icalproperty_as_ical_string() to
 	eliminate the possibility of having a VALUE parameter that does
 	not match the actual kind of value.

	* icalvalue.c.in made icalvalue_*_trigger() and
 	icalvalue_*_datetimeperiod non-autogenerated. These routines were
 	for combined value type -- non standard values that can have more
 	than on standard value type. These non-standard types now delegate
 	to stadard types.

2001-01-24  Dan Winship  <danw@helixcode.com>

	* src/libical/icaltime.c: Remove unused "extern long timezone".

2001-01-24  Eric Busboom  <eric@softwarestudio.org>

	* icalfileset.c fixed icalfileset_read-from_file so it will handle
 	lines longer than 80 char properly.

2001-01-23  JP Rosevear  <jpr@ximian.com>

	* configure.in: Don't AC_INIT on an autogenerated file that does not
	exist beforehand
	
2001-01-23  Eric Busboom  <eric@softwarestudio.org>

	* icltime.c Removed all of the _local_ routines and simplified
 	icaltime_utc_offset and icaltime_as_timet

	* regression.c Added tests for triggers and improvements to icaltime.c

	* icaltypes.c Addedd icaltriggertype_from_string and changed
 	icaltriggertype to be a struct

2001-01-22  Eric Busboom  <eric@softwarestudio.org>

	* icaltime.c implemented icaldurationtype_from_string to parse the
 	string it self, rather than use lex/yacc

2001-01-15  Eric Busboom  <eric@softwarestudio.org>

	* icalfileset.c Many improvements. File locking now works, and so
 	does searching with icalfileset_select()

2001-01-08  Eric Busboom  <eric@softwarestudio.org>

	* Makefile.am Remove spaces after -I in several 
	Makefile.am routines. 

	* icalset.c removed return statements from some void functions.

	* icalparameter.c.in Added break to default: case that had no
 	body. Compilers on Solaris and Tru64 UNIX complained.

2001-01-02  Eric Busboom  <eric@softwarestudio.org>

	* icaltime.c Changed icaldurationtype_from_time and _as_timet to
 	_from_int and _as_int. This is a change interface that may break
 	some code.

	* icalgauge.c icalgaugeimpl.h, icalgauge.h., Rewrote gauge code to
 	use pvl-lists directly, instead of trying to reuse icalcomponent.

2000-12-15  Ettore Perazzoli  <ettore@helixcode.com>

	* src/libical/Makefile.am: Build `libical-static.la'.

2000-12-14  Ettore Perazzoli  <ettore@helixcode.com>

	* src/libical/Makefile.am (ical.h): 

2000-12-13  Federico Mena Quintero  <federico@helixcode.com>

	* src/libical/icaltime.c (icaltime_from_timet): Use gmtime()
	unconditionally, since we want an UTC broken-down representation.
	(icaltime_as_timet): Add the offset only if the time was supposed
	to be in UTC; that way mktime() will get a proper localtime as
	source data.

2000-12-13  Federico Mena Quintero  <federico@helixcode.com>

	* src/libical/icaltime.c (icaltime_from_timet): time_t values
	*are* in UTC by definition, so the is_utc argument is useless.
	Removed the conversion to UTC and made the icaltimetype.is_utc be
	TRUE always.  This breaks libical's owne internal use of this
	function, but since we do not use any of the functions that use it
	that way, we can ignore this.  This is basically a temporary
	measure until libical does the right thing.

2000-12-12  Eric Busboom  <eric@softwarestudio.org>

	* icalparser.c Addedd support for x-parameters. 

	* icalenum.c Fixed icalenum_parameter_type_to_string and
 	icalenum_property_type_to_string to property identify X- parameers
 	and properties.

	* icalparameter.c Fixed icalparameter_as_ical_string to property
 	write out X-Parameters.

	
2000-12-13  Christopher James Lahey  <clahey@helixcode.com>

	* src/libical/icalerror.h: Added a name to the parameter to
	icalerror_set_errno.

2000-12-12  Eric Busboom  <eric@softwarestudio.org>

	* icalparser.c Addedd support for x-parameters. 

	* icalenum.c Fixed icalenum_parameter_type_to_string and
 	icalenum_property_type_to_string to property identify X- parameers
 	and properties.

	* icalparameter.c Fixed icalparameter_as_ical_string to property
 	write out X-Parameters.

	
2000-12-11  Eric Busboom  <eric@softwarestudio.org>

	* icalcstp.c added empty bodies to prep_* routines so that shared
 	libraries would build.

2000-12-13  Federico Mena Quintero  <federico@helixcode.com>

	* src/libical/Makefile.am (COMBINEDHEADERS): Removed the explicit
	paths.  Why it did *not* work on my original try when they were
	not there, well, now I don't know.

2000-12-13  Ettore Perazzoli  <ettore@helixcode.com>

	* src/libicalvcal/Makefile.am (INCLUDES): Add
	`$(top_builddir)/src/libical' to the include directory list.

	* src/libical/Makefile.am (icalparameter.h): Use `$(srcdir)'.
	(icalparameter.c): Likewise.
	(icalproperty.h): Likewise.
	(icalproperty.c): Likewise.
	(icalvalue.h): Likewise.
	(icalvalue.c): Likewise.
	(icalrestriction.c): Likewise.
	(CLEANFILES): Add `icalparameter.h', `icalparameter.c',
	`icalproperty.h', `icalproperty.c', `icalrestriction.c',
	`icalvalue.h', `icalvalue.c'.
	(COMBINEDHEADERS): `icalvalue.h', `icalparameter.h' and
	`icalproperty.h' are in builddir, not srcdir, so fix the list to
	use `$(top_builddir)' instead of `$(top_srcdir)'.
	(all): Removed.
	(BUILT_SOURCES): Move `ical.h' here instead.
	(ical.h): Don't depend on `(BUILT_SOURCES)'; this a built source
	itself.

2000-12-12  Joe Shaw  <joe@helixcode.com>

	* src/libical/icalrecur.c: #if 0ed out some #if 1ed test code that
	was breaking my build by #including ical.h. No cookie!

2000-12-12  Dan Winship  <danw@helixcode.com>

	* configure.in: Add a check for "extern int timezone;" vs struct
	tm tm_gmtoff, stolen from Evolution's configure.in.

	* src/libical/icaltime.c (icaltime_utc_offset,
	icaltime_local_utc_offset): Use HAVE_TIMEZONE, add tm_gmtoff
	support.

	* src/libical/icallexer.l: Remove ical_yy_scan_buffer, ..._string,
	and ..._bytes prototypes, since it compiles fine without them on
	Linux, and bombs out due to prototype mismatch on my NetBSD box.

2000-12-11  Federico Mena Quintero  <federico@helixcode.com>

	* Makefile.am:
	* configure.in: Disable compilation of the examples directory
	until libicalss is fixed.

	* configure.in: Make AC_INIT() check for a file that is not
	autogenerated!

	* configure.in: Added check for Perl.

2000-12-11  Federico Mena Quintero  <federico@helixcode.com>

	* configure.in (AC_OUTPUT): Fixed order of generated files to make
	"make distcheck" work.  Turn on AM_MAINTAINER_MODE.

	* src/libical/Makefile.am (EXTRA_DIST): Add icalversion.h.in.
	(COMBINEDHEADERS): Added paths to make "make distcheck" work.
	(libical_la_SOURCES): Added headers for distribution in our weird
	setup.

2000-12-11  JP Rosevear  <jpr@helixcode.com>

	* src/libical/icaltime.c (icaltime_compare_date_only): New
	function that compares only the dates, not the times as well.

	* src/libical/icaltime.h: Add prototype for the function above.

	* src/libical/icalrecur.h (struct icalrecurrencetype): Correct
	header documentation.

	* src/libical/icaltypes.c: No longer include <limits.h>.

	* src/libical/icalrecur.c: Likewise.

	* src/libical/icalvalue.c.in: Likewise.

	* src/libical/icalyacc.y: Likewise.

2000-12-06  Eric Busboom  <eric@softwarestudio.org>

	* icaltime.c added icaltime_as_local to convert a UTC time to a
 	local time

	* icaltime.h icaltime.c Removed is_utc argument from
 	icaltime_from_timet

	
2000-11-29  Eric Busboom  <eric@softwarestudio.org>

	* icalrecur.c More testing and bug fixes. Many more of the rules
 	in recur.txt work correctly.

2000-11-28  Eric Busboom  <eric@softwarestudio.org>

	* icalrecur.c Several changes to extract icalrecur.c from
 	libical. I'd like to make it into a reference impl for recurrence
 	rules. CHanges include moving all of the recurrence type and
 	recurrence enums from icalenum and icaltypes into icalrecur, and
 	adding code to parse recurrence rule strings.

	* icaltime.c Changed icaltime_from_string to parse the string
 	directly. Now icaltime.c has no dependency on icalvalue.c

2000-11-21  Eric Busboom  <eric@softwarestudio.org>

	* icalrecur.c Fixed a bug in the increment_* routines that made
 	incrementing by more then 1 insensible. Thanks to Martin Neimeier

2000-11-20  Eric Busboom  <eric@softwarestudio.org>

	* icalmessage.c Many routines to create new ical messages.

	* icalspanlist.c Code to generate a list of the busy time f the
 	VEVENTS in a set. Also includes routiens to generate free and busy
 	lists from the spanlist, and to find the next free time after a
 	given time.

	* icalvalue.c The STATUS property now has its own value type,
 	STATUS, which holds the enumeration icalproperty_status.

	* icalrestriction.c Added more restrictions. Now handles mutual
 	and exclusive consitions, and checks for the reight values in
 	STATUS properties


2000-11-10  Eric Busboom  <eric@softwarestudio.org>

	* icaltypes.c Added routine to create durationtype from string:
 	icaldurationtype_from_string

2000-11-09  Eric Busboom  <eric@softwarestudio.org>

	* icalcomponet.c Add sever get/set convienience routines to access
 	and manipulate common component propoerties from the component
 	interface. This eliminates the need to create a lot of temporary
 	variables if you just want to change the start time of and event.

2000-11-06 Eric Busboom    <eric@softwarestudio.org>

	* icalcomponent.c Added new routines to icalcomponent:
	_get_span -- returns the start and end times of the event in UTC
	_get_first_real_component -- return ref to VTODO, VEVENT or VJOURNAL

	* icalspanlist.c Added new class, icalspanlist, that generates a
 	list of alternating busy and free times from an icalset. The class
 	includes routines to gnerate rfc2445 busy and free lists, and to
 	get the next avaliable busy or free time after a given time.

2000-11-06  Federico Mena Quintero  <federico@helixcode.com>

	* src/libical/icalvalue.c (icalvalue_recur_as_ical_string): Handle
        both the position and weekday in the by_day field.

2000-10-20  Jesse Pavel	  	<jpavel@helixcode.com>

	* src/libical/icalproperty.c: added support for the
	icalproperty_remove_parameter() function.

2000-10-20  Eric Busboom  <eric@agony.busboom.org>

	* Const correctness. Added 'const' all over everywhere.

2000-10-19  Eric Busboom  <eric@agony.busboom.org>

	* icalproperty, icalparameter, icalvalue .c, .h Changed most
	instances of char* to const char*

	* icalclassify.h Added multiple include protection

	* icalset.h and others, got rid of parameter named "new"

2000-10-15 Eric Busboom   <eric@softwarestudio.org>

	* icalcomponent Added convienience functions for constructing
 	components: icalcomponent_new_vcalendar(), etc.

	* Makefile.am Incorporated build system patch from Federico
 	Quintero. Misc small fixes and cleanup

	* scripts Incorporated auto-gen patch from Frederico. Generated
 	code in libical now uses icalproperty.c.in (etc) instead of
 	editing file icalparoperty.c in place.

	* libical. Changed flex/bison to use the -P/-p options to set
 	ical_yy as a prefix. Removed prefix redefinition from icalyacc.y

2000-10-12 Eric Busboom    <eric@softwarestudio.org>

	* icalproperty.c Fixed icalproperty_get_{first,next}_parameter to
 	honor the parameter kind argument

	* icalparameter.c Added, but did not complete, a new version of
 	icalparameters_from_string that does not use the hairy nested
 	case/switch statements of the previous version

2000-10-11  Damon Chaplin  <damon@helixcode.com>

	* src/libical/icalparameter.c (icalparameter_as_ical_string):
	(icalparameter_new_from_string):
	* src/libical/icalparser.c (icalparser_add_line): add support for
	'X-' parameters.

2000-10-07  Dan Winship  <danw@helixcode.com>

	* src/libical/icalyacc.y (weekday_list): Fix the semicolons in
	this rule. Noticed by x-virge.

	* src/test/Makefile.in: While I'm here, remove this from CVS, as
	it's a generated file.

2000-10-02 Eric Busboom  <eric@softwarestudio.org>

	* ical.h ical.h and icalss.h now are concatenations of all of the
 	public headers for their respective libraries. Thus, only ical.h,
 	icalss.h and icalvcal.h need to be installed.

2000-09-12  Ettore Perazzoli  <ettore@helixcode.com>

	* configure.in: AC_OUTPUT the Makefile in `src' before the stuff
	in its subdirs.

2000-09-12  JP Rosevear  <jpr@helixcode.com>

	* test-data/stresstest.ics: Merge missing file for distcheck

	* src/libicalss/icalcstp.h: ditto

	* src/libicalss/icalcsdb.h: ditto

2000-09-11  Eric Busboom  <eric@softwarestudio.org>

	* icalvcal.c Added more comments

2000-09-01  JP Rosevear  <jpr@helixcode.com>

	* configure.in: We don't need AC_PROG_RANLIB and
	AM_PROG_LIBTOOL

	* src/libical/icalyacc.y (clear_recur): Explicitly
	set the week_start to the Monday default in case the
	recurrence rule does not.

2000-08-31  JP Rosevear  <jpr@helixcode.com>

	* Kill off more old, dead files

2000-08-31  JP Rosevear  <jpr@helixcode.com>

	* MacOS: This dir is not in 0.19

2000-08-31  JP Rosevear  <jpr@helixcode.com>

	* src/libical/CHANGES: This file is not in 0.19

2000-08-31  JP Rosevear  <jpr@helixcode.com>

	* src/libical/.gdb_history: Kill file

	* src/libical/.gdb_history: Kill file

2000-08-31  JP Rosevear  <jpr@helixcode.com>

	* src/pvl/Makefile: Kill old file

	* src/test/usecases.c: Kill old file

	* src/test/.cvsignore: Update

	* src/libicalvcal/.cvsignore: Update

	* examples/.cvsignore: Shut up

2000-08-31  JP Rosevear  <jpr@helixcode.com>

	* configure.in: Don't list config.h in AC_OUTPUT

2000-08-26  Ettore Perazzoli  <ettore@helixcode.com>

	* examples/Makefile.am (INCLUDES): More `$(srcdir)' loving.

	* src/libicalvcal/Makefile.am (INCLUDES): Add `-I
	$(srcdir)/../libical' for builddir != srcdir loving.

2000-08-25  Christopher James Lahey  <clahey@helixcode.com>

	* examples/access_properties_and_parameters.c,
	src/libicalvcal/vcc.y: Got rid of some warnings.

	* src/libicalvcal/vcc.c: Checking in generated C file.

2000-08-25  Christopher James Lahey  <clahey@helixcode.com>

	* src/libical/icalcomponent.c: Fixed an incorrect struct name.

2000-08-25  Peter Williams  <peterw@helixcode.com>

	* src/libical/icalcomponent.c (icalcomponent_end_component): Compile fix;
	use icalerror_check_arg_re so we can return an valid icalcompiter.
	(icalcomponent_begin_component): Same.

2000-08-24  JP Rosevear  <jpr@helixcode.com>

	* src/libical/icalvcal.h: Remove this duplicate file to fix build

2000-08-24  Federico Mena Quintero  <federico@helixcode.com>

	* src/test/Makefile.am: Make it work.

2000-08-04  Eric Busboom  <eric@softwarestudio.org>

	* stow.c Changed stow to write data to a file ( icalfileset) not a
 	calendar. Also added MIME parsing capability

	* sspm.c Core of the mime processor. Now handles quoted-printable
 	and base64 encodings

	* icalmime.h New file that parses mime data and returns an
 	icalcomponent that includes all of the parts.


2000-07-26   Eric Busboom   <eric@softwarestudio.org>

	* icaldirset.h misc bug fixes to get deleting components to work

	* icalcomponent.h Eliminated internal use of _get_first_component
 	and _get_next_component, since these will reset the interal
 	iterators.

2000-07-23   Eric Busboom   <eric@softwarestudio.org>

	* icalcomponent.h Added external iterators to icalcomponent for
 	subcomponents: icalcompiter. These are still experimental, but they
 	seem to work OK and have a nice syntax

2000-07-18   Eric Busboom   <eric@softwarestudio.org>

	* icalset This is a new "superclass" for icalstore, icalcluster,
 	and others. It merges the interfaces of the old icalstore and
 	icalcluster

	* icalstore.{c,h} CHanged name to icaldirset

	* icalcluster.{c,h} Changed name to icalfileset


2000-06-12  Eric Busboom  <eric@softwarestudio.org>

	* icalstow.c misc improvements and bug fixes to make it useful.

2000-06-09  Eric Busboom  <eric@softwarestudio.org>

	* icalrecur.c More extensive code changes for recurrence rule.

	* icalyacc.y Added support for integers in by day lists

2000-06-08  Ettore Perazzoli  <ettore@helixcode.com>

	* src/test/Makefile.am (INCLUDES): Likewise.

	* src/libicalss/Makefile.am (INCLUDES): Use $(srcdir) to allow
	builddir != srcdir.

2000-06-01  Eric Busboom  <eric@softwarestudio.org>

	* icalrecur.c moved recur code into new files

2000-05-30  Eric Busboom  <eric@softwarestudio.org>

	* icaltypes.c Extensive work on code to expand recurences

	* icaltypes.h Changed signature icaltimetype_from_timet to include
 	is_utc flag.


2000-03-17  Eric Busboom  <eric@softwarestudio.org>

	* icalstore.c Vastly improved icalstore_test.

2000-03-16  Eric Busboom  <eric@softwarestudio.org>

	* icalcluster.c Added compile flag (ICAL_SAFESAVES) to switch how
 	icalcluster saves files during commits. When the flag is define,
 	it will write the data to a temorar file and rename the file to
 	the target file.

	* storage.c Added seterate test suite for sotage components

	* icalparser.c Created parser object, implemented line-oriented
 	parsering, and made message oriented parsing work in terms f line
 	oriented parsing.

	* icalparser.c Fixed icalparser_get_line to remove \r in input.


